Name Correction Analysis
Analyses a full name using Pythagorean numerology and suggests spelling variants that are more harmonious with the life path number. Returns current name scores and up to 8 alternatives ranked by harmony.
Endpoint
POST /v1/numerology/name-correction
Request parameters
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Yes | Name to analyse (BirthInput name) |
| date | string (date) | Yes | Birth date YYYY-MM-DD (BirthInput date) |
Example request
- curl
- Python
- TypeScript
curl -X POST "https://api.asterwise.com/v1/numerology/name-correction" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"Arjun Mehta","date":"1985-11-12"}'
import asterwise
from asterwise.api.numerology_api import NumerologyApi
from asterwise.models.name_correction_request import NameCorrectionRequest
configuration = asterwise.Configuration(
host="https://api.asterwise.com",
access_token="YOUR_API_KEY",
)
request = NameCorrectionRequest(
name="Arjun Mehta",
date="1985-11-12",
)
with asterwise.ApiClient(configuration) as client:
api = NumerologyApi(client)
result = api.name_correction(name_correction_request=request)
print(result)
import { createClient, createConfig, nameCorrection } from 'asterwise';
const client = createClient(createConfig({
baseUrl: 'https://api.asterwise.com',
headers: { Authorization: 'Bearer YOUR_API_KEY' },
}));
const result = await nameCorrection({
client,
body: {
"name": "Arjun Mehta",
"date": "1985-11-12"
},
});
console.log(result.data);
Example response
Response fields
| Field | Type | Description |
|---|---|---|
| success | boolean | True if the request succeeded |
| message | string | Human-readable status message |
| data | object | |
| data.full_name | string | |
| data.birth_date | string | |
| data.life_path | integer | |
| data.current_name | object | |
| data.current_name.name | string | |
| data.current_name.expression | integer | |
| data.current_name.soul_urge | integer | |
| data.current_name.personality | integer | |
| data.current_name.is_master | boolean | |
| data.current_name.karmic_debt | integer | null | |
| data.current_name.compatibility | string | |
| data.current_name.harmony_score | integer | |
| data.alternatives | array[object] | |
| data.alternatives[].name | string | |
| data.alternatives[].expression | integer | |
| data.alternatives[].soul_urge | integer | |
| data.alternatives[].personality | integer | |
| data.alternatives[].is_master | boolean | |
| data.alternatives[].karmic_debt | integer | null | |
| data.alternatives[].compatibility | string | |
| data.alternatives[].harmony_score | integer | |
| data.recommendation | string | null |
Errors
| Code | Description | Reference |
|---|---|---|
| authentication_failed | Missing or invalid API key. | authentication_failed |
| ephemeris_unavailable | Upstream ephemeris service error. | ephemeris_unavailable |
| insufficient_tier | API key tier does not include this endpoint. | insufficient_tier |
| internal_error | Unexpected server error. | internal_error |
| ip_rate_limit_exceeded | Too many requests in a short window. | ip_rate_limit_exceeded |
| payload_too_large | Request body exceeds the size limit. | payload_too_large |
| resource_not_found | Referenced resource was not found. | resource_not_found |
| validation_error | Request body failed schema validation. | validation_error |